from tkinter import *
from PIL import Image, ImageTk
from random import shuffle # en début de script

##########################
#       INTERFACE        #
# !! NE RIEN MODIFIER !! #
##########################

def affiche_cartes(cartes: list, debut: int, fin: int)->None:
    '''
    Affiche les cartes encore en jeu dans une fenêtre graphique.
    Entrées :
        cartes = le tableau COMPLET des N cartes tirées au début du jeu
        debut = l'indice dans le tableau 'cartes' du début de l'affichage
        fin = l'indice dans le tableau 'cartes' de la fin de l'affichage
    Sortie :
        Aucune.
    '''

    for e in fen.winfo_children():
        e.destroy()

    liste_cadres = []

    for i in range(debut, fin+1):
        carte = cartes[i]
        nom_fichier = carte[0] + ' ' + carte[1] + '.jpg'
        image = Image.open(nom_fichier)
        size = (100, 150)
        image = image.resize(size, resample = 3)
        photo = ImageTk.PhotoImage(image)
        can = Canvas(fen, width = 100, height = 150)
        can.grid(row = 0, column = i)
        can.create_image(0, 0, anchor = NW, image=photo)
        can.image = photo
        liste_cadres.append(can)
    fen.update()

fen = Tk()
fen.wm_attributes("-topmost", 1) # garde la fenêtre toujours au premier plan
fen.title('Petite Soeur')

##########################
#     VOTRE SCRIPT       #
#          ICI           #
##########################















##########################
#      A LAISSER         #
# TOUT EN FIN DE SCRIPT  #
##########################



fen.mainloop()










